;NSIS Modern User Interface
;Basic Example Script
;Written by Joost Verburg
;--------------------------------
;Interface do usuario, modo moderno.
CRCCheck on
XPStyle on
!include "MUI2.nsh"
!include InstallOptions.nsh

;--------------------------------
;General
VIAddVersionKey /LANG=${LANG_PortugueseBR} "Nome do produto" "SC501"
VIAddVersionKey /LANG=${LANG_PortugueseBR} "Empresa" "Gertec"
VIAddVersionKey /LANG=${LANG_PortugueseBR} "Verso" "00.02.04.00"

VIAddVersionKey /LANG=${LANG_ENGLISH} "ProductName" "SC501"
VIAddVersionKey /LANG=${LANG_ENGLISH} "CompanyName" "Gertec"
VIAddVersionKey /LANG=${LANG_ENGLISH} "FileVersion" "2.4"
;---------------------------------------------------------------------------------
  ;Nome do arquivo
  Name "SC501"
  ;Nome do instalador
  OutFile "SC501 Setup.exe"
  ;Icone a ser usado
  ;Icon "501.ICO"
  ;Verso do produto  
  VIProductVersion "00.02.04.00"
  SilentInstall Normal
  InstallDir "$PROGRAMFILES\SC501"
  ;pasta padro de instalao (porm no  utilizado).
  ;InstallDir "$PROGRAMFILES\Apache Software Foundation\Tomcat 6.0\webapps"
  
  ;Get installation folder from registry if available
  ;InstallDirRegKey HKCU "Software\SC501" ""

  ;Requisita autorizao no windows Vista
  RequestExecutionLevel admin
;--------------------------------
;Interface Settings
  !define MUI_ABORTWARNING  
 ; !define MUI_HEADERIMAGE
 ; !define MUI_HEADERIMAGE_BITMAP "${NSISDIR}\Contrib\Graphics\Header\logoSM.bmp" 



;--------------------------------
;pginas: 
  !insertmacro MUI_PAGE_WELCOME ;Bem vindo, instalador
  !insertmacro MUI_PAGE_COMPONENTS ;componentes
 ;!insertmacro MUI_PAGE_DIRECTORY ;diretorio onde vai ser instalad (no utilizado)
  !insertmacro MUI_PAGE_INSTFILES ;pagina onde instala os arquivos
  !insertmacro MUI_PAGE_FINISH ;pagina final, onde finaliza o instalador
   
 ; Paginas para o uninstall    
 !insertmacro MUI_UNPAGE_WELCOME 
 !insertmacro MUI_UNPAGE_CONFIRM
 !insertmacro MUI_UNPAGE_INSTFILES
 !insertmacro MUI_UNPAGE_FINISH
;--------------------------------
;Linguagem
  !insertmacro MUI_LANGUAGE "English"
  !insertmacro MUI_LANGUAGE "PortugueseBR"
;--------------------------------
;LicenseBkColor /gray ;cor de fundo da licena
ShowInstDetails Show
SetCompress Auto
SetDateSave on
SetDataBlockOptimize on
SetOverwrite on
;--------------------------------
; Funo usada para aparecer a imagem ao comear a instalar.
;Function .onInit        
    ;    InitPluginsDir
   ;     File /oname=$PLUGINSDIR\splash.bmp "${NSISDIR}\Contrib\Graphics\Header\nsis.bmp"
        #optional
        #File /oname=$PLUGINSDIR\splash.wav "C:\myprog\sound.wav"
   ;     File /oname=$PLUGINSDIR\splash.bmp "${NSISDIR}\Contrib\Graphics\Wizard\sm4.bmp"
  ;      advsplash::show 1000 600 400 0x04025C $PLUGINSDIR\splash
  ;      Pop $0 
  ;      Delete $PLUGINSDIR\splash.bmp
;FunctionEnd
;funo usada para criar a descrio de cada programa, na tela de componentes.
Function .onMouseOverSection
    FindWindow $R0 "#32770" "" $HWNDPARENT
    GetDlgItem $R0 $R0 1043 ; description item (must be added to the UI)

    StrCmp $0 0 "" +2
      SendMessage $R0 ${WM_SETTEXT} 0 "STR:SC501, exemplo desenvolvido para gerenciar os terminais de consulta Gertec."
	
  FunctionEnd

;--------------------------------
;Installer Sections

Section "Instalar SC501" SEC02
	 SectionIn 1 2
	 SetOutPath $PROGRAMFILES\SC501 
	 File "SC501GER.exe"	  
                    File "501.ICO"  
                    File "CARDTAB.TXT" 
	 File "IMAGES.TXT" 
                    File "lg_eng.ini"
                    File "lg_port.ini"
                    File "PRICETAB.TXT"
	 File "SC501GER.dll"
	 File "tc501.ini"
	 File "temp.bmp"
	 WriteUninstaller "$INSTDIR\uninstall.exe"
	 CreateShortCut "$DESKTOP\SC501.lnk" "$PROGRAMFILES\SC501\SC501GER.exe" "$INSTDIR\501.ICO"
	 CreateDirectory "$SMPROGRAMS\SC501"
	 CreateShortCut "$SMPROGRAMS\SC501\SC501.lnk" "$PROGRAMFILES\SC501\SC501GER.exe" "$INSTDIR\501.ICO"
     CreateShortCut "$SMPROGRAMS\SC501\Uninstall.lnk" "$INSTDIR\uninstall.exe"
SectionEnd

Section "Uninstall"

  ;ADD YOUR OWN FILES HERE...

  Delete "$INSTDIR\Uninstall.exe"

  DeleteRegKey /ifempty HKCU "Software\SC501"
  
  delete "$DESKTOP\SC501.lnk"
  
  RMDir /r "$PROGRAMFILES\SC501"
  RMDir /r "$SMPROGRAMS\SC501"

SectionEnd

;--------------------------------
;Descriptions
  ;Language strings
  LangString DESC_SecDummy ${LANG_ENGLISH} "SC501."
  LangString DESC_SecDummy ${LANG_PortugueseBR} "SC501."