/****************************************************************************
* Aplicativo : (?)		                    *
* Autor		 : Ana Lcia S. Melo 										    *
* Referncia : (?)- Programa Servidor para Terminais de Consulta            *
* Data       : 05/03/08													    *
* Ambiente   : Eclipse 						                                *
* Fonte      : Consulta.java (gera Consulta.class)    				        *
* Objetivo   : Programa responsvel pela, consulta ao banco de dados		*
*              e envio dos dados ao terminal de consulta.					*
*****************************************************************************/

import java.io.BufferedReader;
import java.io.FileReader;
import java.util.StringTokenizer;

/****************************************************************************************************************
 *								CLASSE - CONSULTA
 ****************************************************************************************************************/
public class Consulta {

	
/****************************************************************************************************************
 *						ConsultaCod(x) - FUNO RESPONSVEL PELA CONSULTA DE PRODUTOS							*
 ****************************************************************************************************************/
	public String ConsultaCod(String x) throws Exception{
		try{
			FileReader arqTxt = new FileReader("PRICETAB.txt"); //Armazena o arquivo Pricetab.txt em arqTxt
			BufferedReader line = new BufferedReader(arqTxt); 	//L arqLine e adiciona no "Buffer" line
			String arqLine = null;								//Inicializa arqLine
		
			//Adiciona a arqLine uma linha do arquivo 
			while ((arqLine = line.readLine()) != null) { 		//Enquanto a linha no for vazia
				if ((arqLine.isEmpty())== false){ 				//Se o arquivo arqLine for vazio ele vai para proxima linha 
					StringTokenizer tokenizer = new StringTokenizer(arqLine,"|");   //Separa os itens por "|"
					String codigoBar = tokenizer.nextToken();  	//codigoBar recebe codigo de barras
					System.out.println(codigoBar);
					if (x.compareTo(codigoBar)==0){ 			// Se x for igual a codigoBar a descrio e preo so armazenados
						String descricao = tokenizer.nextToken();	//Armazena Descrio
						System.out.println(descricao);
						String preco = tokenizer.nextToken();	//Armazena Preo
						System.out.println(preco);
						return ("#"+descricao+"|"+preco); 		//Retorna a funo com a descrio e preo para envio ao display
					}
				}
			}
			arqTxt.close(); //Finaliza arqTxt
			line.close(); 	//Finaliza line 
			
		}catch (Exception e){
			e.printStackTrace();   
	    } 
		//Caso no localize o cdigo  retornado "PRODUTO NO ENCONTRADO"
		return ("#nfound");
	} 
	
}
