/****************************************************************************
* Aplicativo : (?)		                    *
* Autor		 : Ana Lcia S. Melo 										    *
* Referncia : (?)- Programa Servidor para Terminais de Consulta            *
* Data       : 04/03/08													    *
* Ambiente   : Eclipse 						                                *
* Fonte      : Servidor.java (gera Servidor.class)    				        *
* Objetivo   : Responsvel pela conexo dos terminais de consulta.			*
****************************************************************************/

import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;


public class Servidor extends Thread{
	private ArrayList<Terminal> listaTerminais;
	ServerSocket server;
	
	
	Servidor() throws Exception{
		listaTerminais = new ArrayList<Terminal>();
		server = new ServerSocket(6500);
		
	}
	public ArrayList<Terminal> gettab(){
		return listaTerminais;
	}
	public void run(){
		Socket cliente;
		Terminal terminal;
	
		while(true){
			try{
				
				cliente = server.accept();
				System.out.println("terminal conectado");
				
				terminal = new Terminal(cliente);
				terminal.start();
				listaTerminais.add(terminal);
				
			}catch(Exception e){
				System.out.println(e.getMessage());
			}
		}

	}
	public ArrayList<Terminal> getList(){
		return listaTerminais;
	}

}
